From ed98d03e47d3b9c008d7463612124a90af5cf017 Mon Sep 17 00:00:00 2001
From: Nick Steel <nick@nsteel.co.uk>
Date: Mon, 25 Jul 2022 22:34:14 +0100
Subject: [PATCH 13/21] Fixups for flake8 and black

---
 mopidy_spotify/backend.py    | 20 +++++++------
 mopidy_spotify/browse.py     |  4 +--
 mopidy_spotify/distinct.py   | 20 +++++--------
 mopidy_spotify/library.py    |  2 +-
 mopidy_spotify/lookup.py     | 16 +++++++---
 mopidy_spotify/playlists.py  |  2 +-
 mopidy_spotify/translator.py |  6 ++--
 mopidy_spotify/web.py        | 16 +++++-----
 tests/conftest.py            |  2 +-
 tests/test_backend.py        |  7 -----
 tests/test_browse.py         | 29 ++++++++++++++----
 tests/test_distinct.py       | 17 +++++++++--
 tests/test_lookup.py         | 30 +++++++++++--------
 tests/test_playback.py       |  8 ++---
 tests/test_playlists.py      |  5 +++-
 tests/test_translator.py     |  4 ++-
 tests/test_web.py            | 58 +++++++++++++++++++++++++-----------
 17 files changed, 150 insertions(+), 96 deletions(-)

diff --git a/mopidy_spotify/backend.py b/mopidy_spotify/backend.py
index f1deb961..6ba6aa97 100644
--- a/mopidy_spotify/backend.py
+++ b/mopidy_spotify/backend.py
@@ -1,9 +1,7 @@
 import logging
-import pathlib
-import threading
 
 import pykka
-from mopidy import backend, httpclient
+from mopidy import backend
 
 from mopidy_spotify import Extension, library, playlists, web
 
@@ -11,16 +9,17 @@
 
 
 class SpotifyBackend(pykka.ThreadingActor, backend.Backend):
-
     def __init__(self, config, audio):
         super().__init__()
 
         self._config = config
         self._audio = audio
-        self._actor_proxy = None
         self._bitrate = config["spotify"]["bitrate"]
         self._web_client = None
 
+        if config["spotify"]["allow_cache"]:
+            self._cache_location = Extension().get_cache_dir(config)
+
         self.library = library.SpotifyLibraryProvider(backend=self)
         self.playback = SpotifyPlaybackProvider(audio=audio, backend=self)
         if config["spotify"]["allow_playlists"]:
@@ -30,8 +29,6 @@ def __init__(self, config, audio):
         self.uri_schemes = ["spotify"]
 
     def on_start(self):
-        self._actor_proxy = self.actor_ref.proxy()
-
         self._web_client = web.SpotifyOAuthClient(
             client_id=self._config["spotify"]["client_id"],
             client_secret=self._config["spotify"]["client_secret"],
@@ -42,8 +39,13 @@ def on_start(self):
         if self.playlists is not None:
             self.playlists.refresh()
 
+
 class SpotifyPlaybackProvider(backend.PlaybackProvider):
-    def translate_uri(self, uri):
+    def __init__(self, *args, **kwargs):
+        super().__init__(*args, **kwargs)
         username = self.backend._config["spotify"]["username"]
         password = self.backend._config["spotify"]["password"]
-        return f"{uri}?username={username}&password={password}"
+        self._auth_string = f"username={username}&password={password}"
+
+    def translate_uri(self, uri):
+        return f"{uri}?{self._auth_string}"
diff --git a/mopidy_spotify/browse.py b/mopidy_spotify/browse.py
index 2e8ab8f3..3b4dfed2 100644
--- a/mopidy_spotify/browse.py
+++ b/mopidy_spotify/browse.py
@@ -2,7 +2,7 @@
 
 from mopidy import models
 
-from mopidy_spotify import countries, playlists, translator
+from mopidy_spotify import playlists, translator
 from mopidy_spotify.web import WebLink
 from mopidy_spotify.utils import flatten
 
@@ -48,7 +48,7 @@ def browse(*, config, session, web_client, uri):
     if web_client is None or not web_client.logged_in:
         return []
 
-    #TODO: Support for category browsing.
+    # TODO: Support for category browsing.
     if uri.startswith("spotify:user:") or uri.startswith("spotify:playlist:"):
         return _browse_playlist(web_client, uri)
     elif uri.startswith("spotify:album:"):
diff --git a/mopidy_spotify/distinct.py b/mopidy_spotify/distinct.py
index d1224ed7..a3bb2bdc 100644
--- a/mopidy_spotify/distinct.py
+++ b/mopidy_spotify/distinct.py
@@ -16,7 +16,9 @@ def get_distinct(config, playlists, web_client, field, query=None):
     if field == "artist":
         result = _get_distinct_artists(config, playlists, web_client, query)
     elif field == "albumartist":
-        result = _get_distinct_albumartists(config, playlists, web_client, query)
+        result = _get_distinct_albumartists(
+            config, playlists, web_client, query
+        )
     elif field == "album":
         result = _get_distinct_albums(config, playlists, web_client, query)
     elif field == "date":
@@ -30,9 +32,7 @@ def get_distinct(config, playlists, web_client, field, query=None):
 def _get_distinct_artists(config, playlists, web_client, query):
     logger.debug(f"Getting distinct artists: {query}")
     if query:
-        search_result = _get_search(
-            config, web_client, query, artist=True
-        )
+        search_result = _get_search(config, web_client, query, artist=True)
         return {artist.name for artist in search_result.artists}
     else:
         return {
@@ -45,9 +45,7 @@ def _get_distinct_artists(config, playlists, web_client, query):
 def _get_distinct_albumartists(config, playlists, web_client, query):
     logger.debug(f"Getting distinct albumartists: {query}")
     if query:
-        search_result = _get_search(
-            config, web_client, query, album=True
-        )
+        search_result = _get_search(config, web_client, query, album=True)
         return {
             artist.name
             for album in search_result.albums
@@ -66,9 +64,7 @@ def _get_distinct_albumartists(config, playlists, web_client, query):
 def _get_distinct_albums(config, playlists, web_client, query):
     logger.debug(f"Getting distinct albums: {query}")
     if query:
-        search_result = _get_search(
-            config, web_client, query, album=True
-        )
+        search_result = _get_search(config, web_client, query, album=True)
         return {album.name for album in search_result.albums}
     else:
         return {
@@ -81,9 +77,7 @@ def _get_distinct_albums(config, playlists, web_client, query):
 def _get_distinct_dates(config, playlists, web_client, query):
     logger.debug(f"Getting distinct album years: {query}")
     if query:
-        search_result = _get_search(
-            config, web_client, query, album=True
-        )
+        search_result = _get_search(config, web_client, query, album=True)
         return {
             album.date
             for album in search_result.albums
diff --git a/mopidy_spotify/lookup.py b/mopidy_spotify/lookup.py
index 1ec97cf9..f92c6e7e 100644
--- a/mopidy_spotify/lookup.py
+++ b/mopidy_spotify/lookup.py
@@ -36,7 +36,9 @@ def lookup(config, web_client, uri):
             )
             return []
     except WebError as exc:
-        logger.info(f"Failed to lookup Spotify {link.type.value} {link.uri!r}: {exc}")
+        logger.info(
+            f"Failed to lookup Spotify {link.type.value} {link.uri!r}: {exc}"
+        )
         return []
 
 
@@ -56,7 +58,9 @@ def _lookup_album(config, web_client, link):
     if web_album == {}:
         raise WebError("Invalid album response")
 
-    yield from translator.web_to_album_tracks(web_album, bitrate=config["bitrate"])
+    yield from translator.web_to_album_tracks(
+        web_album, bitrate=config["bitrate"]
+    )
 
 
 def _lookup_artist(config, web_client, link):
@@ -71,11 +75,15 @@ def _lookup_artist(config, web_client, link):
                 break
         if is_various_artists:
             continue
-        yield from translator.web_to_album_tracks(web_album, bitrate=config["bitrate"])
+        yield from translator.web_to_album_tracks(
+            web_album, bitrate=config["bitrate"]
+        )
 
 
 def _lookup_playlist(config, web_client, link):
-    playlist = playlists.playlist_lookup(web_client, link.uri, config["bitrate"])
+    playlist = playlists.playlist_lookup(
+        web_client, link.uri, config["bitrate"]
+    )
     if playlist is None:
         raise WebError("Invalid playlist response")
     return playlist.tracks
diff --git a/mopidy_spotify/translator.py b/mopidy_spotify/translator.py
index e7db3f2f..adcda059 100644
--- a/mopidy_spotify/translator.py
+++ b/mopidy_spotify/translator.py
@@ -24,7 +24,8 @@ def __call__(self, *args, **kwargs):
             return value
 
 
-#TODO: memoize web functions?
+# TODO: memoize web functions?
+
 
 def web_to_artist_ref(web_artist):
     if not valid_web_data(web_artist, "artist"):
@@ -216,8 +217,7 @@ def web_to_album_tracks(web_album, bitrate=None):
         return []
 
     tracks = [
-        web_to_track(web_track, bitrate, album)
-        for web_track in web_tracks
+        web_to_track(web_track, bitrate, album) for web_track in web_tracks
     ]
     return [t for t in tracks if t]
 
diff --git a/mopidy_spotify/web.py b/mopidy_spotify/web.py
index 0a7a1043..5f3bb4b4 100644
--- a/mopidy_spotify/web.py
+++ b/mopidy_spotify/web.py
@@ -453,7 +453,7 @@ def _with_all_tracks(self, obj, params=None):
         more_tracks = []
         for page in track_pages:
             if "items" not in page:
-                return {} # Return nothing on error, or what we have so far?
+                return {}  # Return nothing on error, or what we have so far?
             more_tracks += page["items"]
 
         if more_tracks:
@@ -461,7 +461,7 @@ def _with_all_tracks(self, obj, params=None):
             obj = copy.deepcopy(obj)
             obj.setdefault("tracks", {}).setdefault("items", [])
             obj["tracks"]["items"] += more_tracks
-        
+
         return obj
 
     def get_playlist(self, uri):
@@ -480,11 +480,10 @@ def get_playlist(self, uri):
             params={"fields": self.PLAYLIST_FIELDS, "market": "from_token"},
         )
         return self._with_all_tracks(playlist, {"fields": self.TRACK_FIELDS})
-        
 
     def get_album(self, web_link):
         if web_link.type != LinkType.ALBUM:
-            logger.error(f"Expecting Spotify album URI")
+            logger.error("Expecting Spotify album URI")
             return {}
 
         album = self.get_one(
@@ -495,7 +494,7 @@ def get_album(self, web_link):
 
     def get_artist_albums(self, web_link, all_tracks=True):
         if web_link.type != LinkType.ARTIST:
-            logger.error(f"Expecting Spotify artist URI")
+            logger.error("Expecting Spotify artist URI")
             return []
 
         pages = self.get_all(
@@ -516,7 +515,7 @@ def get_artist_albums(self, web_link, all_tracks=True):
 
     def get_artist_top_tracks(self, web_link):
         if web_link.type != LinkType.ARTIST:
-            logger.error(f"Expecting Spotify artist URI")
+            logger.error("Expecting Spotify artist URI")
             return []
 
         return self.get_one(
@@ -526,12 +525,11 @@ def get_artist_top_tracks(self, web_link):
 
     def get_track(self, web_link):
         if web_link.type != LinkType.TRACK:
-            logger.error(f"Expecting Spotify track URI")
+            logger.error("Expecting Spotify track URI")
             return {}
 
         return self.get_one(
-            f"tracks/{web_link.id}",
-            params={"market": "from_token"}
+            f"tracks/{web_link.id}", params={"market": "from_token"}
         )
 
     def clear_cache(self, extra_expiry=None):
diff --git a/tests/conftest.py b/tests/conftest.py
index f536b564..b7d3f2f3 100644
--- a/tests/conftest.py
+++ b/tests/conftest.py
@@ -4,7 +4,7 @@
 from mopidy import backend as backend_api
 from mopidy import models
 
-from mopidy_spotify import backend, library, utils, playlists, web
+from mopidy_spotify import backend, library, utils, web
 
 
 @pytest.fixture
diff --git a/tests/test_backend.py b/tests/test_backend.py
index 68ecc48b..7a1dd38e 100644
--- a/tests/test_backend.py
+++ b/tests/test_backend.py
@@ -1,4 +1,3 @@
-import threading
 from unittest import mock
 from unittest import skip
 
@@ -41,12 +40,6 @@ def test_init_disables_playlists_provider_if_not_allowed(config):
     assert backend.playlists is None
 
 
-@skip("support this with spotifyaudiosrc")
-def test_on_start_creates_configured_session(tmp_path, config):
-    cache_location_mock = mock.PropertyMock()
-    pass
-
-
 @skip("currently can't configure this")
 def test_on_start_configures_preferred_bitrate(config):
     pass
diff --git a/tests/test_browse.py b/tests/test_browse.py
index 88f8f8dd..665adc44 100644
--- a/tests/test_browse.py
+++ b/tests/test_browse.py
@@ -26,7 +26,7 @@ def test_browse_root_directory(provider):
 
 def test_browse_root_when_offline(web_client_mock, provider):
     web_client_mock.logged_in = False
-    
+
     results = provider.browse("spotify:directory")
 
     assert len(results) == 3
@@ -83,8 +83,17 @@ def test_browse_playlist(web_client_mock, web_playlist_mock, provider):
         uri="spotify:track:abc", name="ABC 123"
     )
 
+
 @pytest.mark.parametrize(
-    "uri", ["album:def", "artist:abba", "user:alice:playlist:foo", "unknown", "top:tracks", "your:tracks"]
+    "uri",
+    [
+        "album:def",
+        "artist:abba",
+        "user:alice:playlist:foo",
+        "unknown",
+        "top:tracks",
+        "your:tracks",
+    ],
 )
 def test_browse_item_when_offline(web_client_mock, uri, provider, caplog):
     web_client_mock.logged_in = False
@@ -106,7 +115,9 @@ def test_browse_album(web_client_mock, web_album_mock, provider):
     )
 
 
-def test_browse_album_bad_uri(web_client_mock, web_album_mock, provider, caplog):
+def test_browse_album_bad_uri(
+    web_client_mock, web_album_mock, provider, caplog
+):
     web_client_mock.get_album.return_value = web_album_mock
 
     results = provider.browse("spotify:album:def:xyz")
@@ -122,11 +133,17 @@ def test_browse_artist(
     provider,
 ):
     web_client_mock.get_artist_albums.return_value = [web_album_mock_base]
-    web_client_mock.get_artist_top_tracks.return_value = [web_track_mock, web_track_mock, web_track_mock]
-    
+    web_client_mock.get_artist_top_tracks.return_value = [
+        web_track_mock,
+        web_track_mock,
+        web_track_mock,
+    ]
+
     results = provider.browse("spotify:artist:abba")
 
-    web_client_mock.get_artist_albums.assert_called_once_with(mock.ANY, all_tracks=False)
+    web_client_mock.get_artist_albums.assert_called_once_with(
+        mock.ANY, all_tracks=False
+    )
     assert len(results) == 4
     assert results[0] == models.Ref.track(
         uri="spotify:track:abc", name="ABC 123"
diff --git a/tests/test_distinct.py b/tests/test_distinct.py
index 4a3eb20d..ce274076 100644
--- a/tests/test_distinct.py
+++ b/tests/test_distinct.py
@@ -58,7 +58,9 @@ def test_get_distinct_unsupported_field_types_returns_nothing(provider, field):
 def test_get_distinct_without_query_when_playlists_enabled(
     web_client_mock_with_playlists, provider, field, expected
 ):
-    provider._backend.playlists = playlists.SpotifyPlaylistsProvider(backend=provider._backend)
+    provider._backend.playlists = playlists.SpotifyPlaylistsProvider(
+        backend=provider._backend
+    )
     provider._backend.playlists._loaded = True
 
     assert provider.get_distinct(field) == expected
@@ -67,7 +69,9 @@ def test_get_distinct_without_query_when_playlists_enabled(
 def test_get_distinct_without_query_returns_nothing_when_playlists_empty(
     web_client_mock_with_playlists, provider
 ):
-    provider._backend.playlists = playlists.SpotifyPlaylistsProvider(backend=provider._backend)
+    provider._backend.playlists = playlists.SpotifyPlaylistsProvider(
+        backend=provider._backend
+    )
     provider._backend.playlists._loaded = True
     web_client_mock_with_playlists.get_playlist.return_value = {}
 
@@ -114,7 +118,14 @@ def test_get_distinct_without_query_returns_nothing_when_playlists_disabled(
     ],
 )
 def test_get_distinct_with_query(
-    search_mock, provider, config, web_client_mock, field, query, expected, types
+    search_mock,
+    provider,
+    config,
+    web_client_mock,
+    field,
+    query,
+    expected,
+    types,
 ):
 
     assert provider.get_distinct(field, query) == expected
diff --git a/tests/test_lookup.py b/tests/test_lookup.py
index a24e3fbf..1688f045 100644
--- a/tests/test_lookup.py
+++ b/tests/test_lookup.py
@@ -1,5 +1,4 @@
 import copy
-from unittest import mock
 
 
 def test_lookup_of_invalid_uri(provider, caplog):
@@ -34,7 +33,8 @@ def test_lookup_of_unhandled_uri(provider, caplog):
     assert len(results) == 0
     assert (
         "Failed to lookup 'spotify:invalid:something': "
-        "Could not parse 'spotify:invalid:something' as a Spotify URI" in caplog.text
+        "Could not parse 'spotify:invalid:something' as a Spotify URI"
+        in caplog.text
     )
 
 
@@ -62,7 +62,7 @@ def test_lookup_of_track_uri(web_client_mock, web_track_mock, provider):
 
 def test_lookup_of_album_uri(web_client_mock, web_album_mock, provider):
     web_client_mock.get_album.return_value = web_album_mock
-    
+
     results = provider.lookup("spotify:album:def")
 
     assert len(results) == 10
@@ -73,15 +73,18 @@ def test_lookup_of_album_uri(web_client_mock, web_album_mock, provider):
     assert track.album.name == "DEF 456"
 
 
-def test_lookup_of_artist_uri(web_track_mock, web_album_mock, web_client_mock, provider):
+def test_lookup_of_artist_uri(
+    web_track_mock, web_album_mock, web_client_mock, provider
+):
     web_track_mock2 = copy.deepcopy(web_track_mock)
-    web_track_mock2['name'] = "XYZ track"
+    web_track_mock2["name"] = "XYZ track"
     web_album_mock2 = copy.deepcopy(web_album_mock)
-    web_album_mock2['name'] = "XYZ album"
-    web_album_mock2['tracks']['items'] = [web_track_mock2] * 3
-    
+    web_album_mock2["name"] = "XYZ album"
+    web_album_mock2["tracks"]["items"] = [web_track_mock2] * 3
+
     web_client_mock.get_artist_albums.return_value = [
-        web_album_mock, web_album_mock2,
+        web_album_mock,
+        web_album_mock2,
     ]
     results = provider.lookup("spotify:artist:abba")
 
@@ -105,7 +108,8 @@ def test_lookup_of_artist_ignores_unavailable_albums(
 ):
     web_album_mock["is_playable"] = False
     web_client_mock.get_artist_albums.return_value = [
-        web_album_mock, web_album_mock2,
+        web_album_mock,
+        web_album_mock2,
     ]
 
     results = provider.lookup("spotify:artist:abba")
@@ -127,7 +131,9 @@ def test_lookup_of_artist_uri_ignores_compilations(
 def test_lookup_of_artist_uri_ignores_various_artists_albums(
     web_client_mock, web_album_mock, provider
 ):
-    web_album_mock["artists"][0]["uri"] = "spotify:artist:0LyfQWJT6nXafLPZqxe9Of"
+    web_album_mock["artists"][0][
+        "uri"
+    ] = "spotify:artist:0LyfQWJT6nXafLPZqxe9Of"
     web_client_mock.get_artist_albums.return_value = [web_album_mock]
 
     results = provider.lookup("spotify:artist:abba")
@@ -178,7 +184,7 @@ def test_lookup_of_youralbums_uri(web_client_mock, web_album_mock, provider):
 
     results = provider.lookup("spotify:your:albums")
 
-    assert len(results) == 4*10
+    assert len(results) == 4 * 10
     for track in results:
         assert track.uri == "spotify:track:abc"
         assert track.name == "ABC 123"
diff --git a/tests/test_playback.py b/tests/test_playback.py
index 0a0aa439..35692e24 100644
--- a/tests/test_playback.py
+++ b/tests/test_playback.py
@@ -17,7 +17,6 @@ def audio_mock():
 def backend_mock(config):
     backend_mock = mock.Mock(spec=backend.SpotifyBackend)
     backend_mock._config = config
-    backend_mock._actor_proxy = None
     return backend_mock
 
 
@@ -33,7 +32,6 @@ def test_is_a_playback_provider(provider):
 
 
 def test_translate_uri_sets_credentials(config, provider):
-    config["spotify"]["username"] = "foo"
-    config["spotify"]["password"] = "bar"
-
-    assert provider.translate_uri("baz") == "baz?username=foo&password=bar"
+    assert (
+        provider.translate_uri("baz") == "baz?username=alice&password=password"
+    )
diff --git a/tests/test_playlists.py b/tests/test_playlists.py
index 16905fd1..8021335c 100644
--- a/tests/test_playlists.py
+++ b/tests/test_playlists.py
@@ -233,4 +233,7 @@ def test_playlist_lookup_when_link_invalid(
     )
 
     assert playlist is None
-    assert "Failed to lookup Spotify playlist URI 'spotify:in:valid'" in caplog.text
+    assert (
+        "Failed to lookup Spotify playlist URI 'spotify:in:valid'"
+        in caplog.text
+    )
diff --git a/tests/test_translator.py b/tests/test_translator.py
index ac83a0db..57203cd2 100644
--- a/tests/test_translator.py
+++ b/tests/test_translator.py
@@ -559,7 +559,9 @@ def test_ignores_invalid_artists(self, web_album_mock, web_artist_mock):
         assert album.name == "DEF 456"
         assert list(album.artists) == artists
 
-    def test_returns_empty_artists_list_if_artist_is_empty(self, web_album_mock):
+    def test_returns_empty_artists_list_if_artist_is_empty(
+        self, web_album_mock
+    ):
         web_album_mock["artists"] = []
 
         album = translator.web_to_album(web_album_mock)
diff --git a/tests/test_web.py b/tests/test_web.py
index 621439d6..98c4fd54 100644
--- a/tests/test_web.py
+++ b/tests/test_web.py
@@ -777,7 +777,9 @@ def foo_album_response(foo_album):
 
 @pytest.fixture
 def artist_albums_mock(web_album_mock_base, web_album_mock_base2):
-    params = urllib.parse.urlencode({"market": "from_token", "include_groups": "single,album"})
+    params = urllib.parse.urlencode(
+        {"market": "from_token", "include_groups": "single,album"}
+    )
     return {
         "href": url(f"artists/abba/albums?{params}"),
         "items": [web_album_mock_base, web_album_mock_base2],
@@ -972,7 +974,9 @@ def test_with_all_tracks_error(
         assert "Spotify Web API request failed: baz" in caplog.text
 
     @responses.activate
-    def test_with_all_tracks(self, spotify_client, foo_album_response, foo_album_next_tracks):
+    def test_with_all_tracks(
+        self, spotify_client, foo_album_response, foo_album_next_tracks
+    ):
         responses.add(
             responses.GET,
             foo_album_next_tracks["href"],
@@ -986,7 +990,11 @@ def test_with_all_tracks(self, spotify_client, foo_album_response, foo_album_nex
 
     @responses.activate
     def test_with_all_tracks_uses_cached_tracks_when_unchanged(
-        self, mock_time, foo_album_response, foo_album_next_tracks, spotify_client
+        self,
+        mock_time,
+        foo_album_response,
+        foo_album_next_tracks,
+        spotify_client,
     ):
         responses.add(
             responses.GET,
@@ -1158,32 +1166,45 @@ def test_get_album(self, foo_album, foo_album_next_tracks, spotify_client):
         "all_tracks,",
         [(True), (False)],
     )
-    def test_get_artist_albums(self, artist_albums_mock, web_album_mock, web_album_mock2, spotify_client, all_tracks):
+    def test_get_artist_albums(
+        self,
+        artist_albums_mock,
+        web_album_mock,
+        web_album_mock2,
+        spotify_client,
+        all_tracks,
+    ):
         responses.add(
             responses.GET,
             url("artists/abba/albums"),
             json=artist_albums_mock,
-            match=[matchers.query_string_matcher("market=from_token&include_groups=single%2Calbum")],
+            match=[
+                matchers.query_string_matcher(
+                    "market=from_token&include_groups=single%2Calbum"
+                )
+            ],
         )
         responses.add(
             responses.GET,
-            url(f"albums/def"),
+            url("albums/def"),
             json=web_album_mock,
         )
         responses.add(
             responses.GET,
-            url(f"albums/xyz"),
+            url("albums/xyz"),
             json=web_album_mock2,
         )
 
         link = web.WebLink.from_uri("spotify:artist:abba")
-        results = list(spotify_client.get_artist_albums(link, all_tracks=all_tracks))
-        
+        results = list(
+            spotify_client.get_artist_albums(link, all_tracks=all_tracks)
+        )
+
         if all_tracks:
             assert len(responses.calls) == 3
         else:
             assert len(responses.calls) == 1
-            
+
         assert len(results) == 2
         assert results[0]["name"] == "DEF 456"
         assert results[1]["name"] == "XYZ 789"
@@ -1195,22 +1216,23 @@ def test_get_artist_albums(self, artist_albums_mock, web_album_mock, web_album_m
             assert "tracks" not in results[0]
             assert "tracks" not in results[1]
 
-
     @responses.activate
-    def test_get_artist_albums_error(self, artist_albums_mock, web_album_mock, spotify_client, caplog):
+    def test_get_artist_albums_error(
+        self, artist_albums_mock, web_album_mock, spotify_client, caplog
+    ):
         responses.add(
             responses.GET,
-            url(f"artists/abba/albums"),
+            url("artists/abba/albums"),
             json=artist_albums_mock,
         )
         responses.add(
             responses.GET,
-            url(f"albums/def"),
+            url("albums/def"),
             json=web_album_mock,
         )
         responses.add(
             responses.GET,
-            url(f"albums/xyz"),
+            url("albums/xyz"),
             json={"error": "bar"},
         )
 
@@ -1238,12 +1260,12 @@ def test_get_artist_albums_error(self, artist_albums_mock, web_album_mock, spoti
     def test_get_track(self, web_track_mock, spotify_client, uri, success):
         responses.add(
             responses.GET,
-            url(f"tracks/abc"),
+            url("tracks/abc"),
             json=web_track_mock,
         )
         responses.add(
             responses.GET,
-            url(f"tracks/xyz"),
+            url("tracks/xyz"),
             json={},
         )
 
@@ -1260,7 +1282,7 @@ def test_get_track(self, web_track_mock, spotify_client, uri, success):
     def test_get_artist_top_tracks(self, web_track_mock, spotify_client):
         responses.add(
             responses.GET,
-            url(f"artists/baz/top-tracks"),
+            url("artists/baz/top-tracks"),
             json={"tracks": [web_track_mock, web_track_mock]},
         )
         link = web.WebLink.from_uri("spotify:artist:baz")

